<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS6</title>
</head>
<body>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script>
    let user = {
        "Вася": 100,
        "Петя": 300,
        sex: {
          Вася1: "М",
          Петя1: "М",
          Даша1: "Ж",
          obj3: {
              key1: 1,
              key2: 2,
              key3: 3
          }
        },
        "Даша": 250
    };
    let clon = {};
      
    function copyObject(obj){
        let childObj = {};
        for (let key in obj){
            if(typeof(obj[key]) !='object'){
              console.log(key);
              childObj[key] = obj[key];
            } else {
              childObj[key] = copyObject(obj[key]);
            }    
        }
        return childObj;
    }
    
    clon = copyObject(user);
//    user.sex.Вася='Ж';
//      
//    console.log(clon.sex.Вася1);
    console.log(clon);
  </script>
</body>
</html>